*** a/src/backend/commands/tablecmds.c
--- b/src/backend/commands/tablecmds.c
*************** DropErrorMsgWrongType(const char *relnam
*** 599,609 ****
  	/* wrongkind could be something we don't have in our table... */
  
  	ereport(ERROR,
  			(errcode(ERRCODE_WRONG_OBJECT_TYPE),
  			 errmsg(rentry->nota_msg, relname),
! 			 (wentry->kind != '\0') ? errhint(wentry->drophint_msg) : 0));
  }
  
  /*
   * RemoveRelations
   *		Implements DROP TABLE, DROP INDEX, DROP SEQUENCE, DROP VIEW
--- 599,609 ----
  	/* wrongkind could be something we don't have in our table... */
  
  	ereport(ERROR,
  			(errcode(ERRCODE_WRONG_OBJECT_TYPE),
  			 errmsg(rentry->nota_msg, relname),
! 			 (wentry->kind != '\0') ? errhint("%s", wentry->drophint_msg) : 0));
  }
  
  /*
   * RemoveRelations
   *		Implements DROP TABLE, DROP INDEX, DROP SEQUENCE, DROP VIEW
